apiVersion: jaegertracing.io/v1
kind: Jaeger
metadata:
  name: test
  namespace: jk-test
spec:
  ingress:
    enabled: false
    security: none
  query:
    resources:
      limits: 
        cpu: 100m
        memory: 128Mi
      requests:
        cpu: 50m
        memory: 64Mi
  storage:
    dependencies:
      schedule: 55 23 * * *
    elasticsearch:
      nodeCount: 1
      redundancyPolicy: ZeroRedundancy
      resources:
        limits:
          cpu: 500m
          memory: 1Gi
        requests:
          cpu: 250m
          memory: 512Mi
      storage: 
        size: 2Gi
    esIndexCleaner:
      enabled: true
      numberOfDays: 7
      schedule: 55 23 * * *
    esRollover:
      schedule: 0 0 * * *
    type: elasticsearch
  strategy: production
    
      
